const baseUrl = '/yl-web'
const path = require('path')
const frameSrc = path.resolve(__dirname)
module.exports = {
  publicPath: baseUrl,
  productionSourceMap: false,
  configureWebpack: {
    resolve: {
      alias: {
        '@lib': path.join(frameSrc, '/lib')
      }
    }
  },
  devServer: {
    port: 3000,
    proxy: {
      '/api/': {
        target: 'http://127.0.0.1:9001'
        // target: 'http://192.168.0.81:18070'
        // target: 'http://medical.cc-lotus.info'
      },
      '/tyylfiles/': {
        target: 'http://localhost:8009',
        pathRewrite: { '^/tyylfiles/': '/tyyl/' }
        // target: 'http://192.168.4.1:7001'
      },
      '/files/tyyl/': {
        target: 'http://localhost:8006'
      },
      '/auth': {
        target: 'http://wx.cc-lotus.info',
        pathRewrite: { '^/auth': '/api/auth' }
      },
      '/naf/': {
        // target: 'http://localhost:18070'
        target: 'http://127.0.0.1:9002'
      }
    }
  }
}
